Subject: Re: [mobile-ip] MH type field

From: Brian Haley <[email-masked]>
Date: Fri, 02 Aug 2002 14:18:33 -0400

Jari Arkko wrote:

> Brian Haley wrote:
>
> > I was wondering why the MH type field (Section 6.1.1, draft 18) was 16 bits
> > and not 8 bits.  I couldn't find any other IPv6 header that had a type larger
> > than 8 bits, and I don't think we'll ever have 65535 types.  Should this be
> > changed to 8 bits for type and 8 bits reserved?  This also saves a nthos()
> > for those of us on certain-endian machines, not that 3 assembly instructions
> > is buying me anything :)
>
> 8 bits looks sufficient now. OTOH I don't think the 8 bit reserved field
> buys very much either. And there are some protocols in the Internet
> where 8 bits looked initially sufficient but proved later to be insufficient.
> Mobility is an interesting subject to many folks. Will 256 values cover
> all the xMIP extensions that we might need in the future? Yeah, you could
> also say that it's a terrible thought that we'd need so much complexity
> that 10-15 values wouldn't do...
>
> By the way, if you switch statements in the code are in network byte
> order, you'll save the 3 instructions ;-)
>
> My gut feeling is that we should keep the current format, unless
> someone has strong arguments otherwise.

My only follow-up would be that we could change a reserved field into
an "extended type" field in the future.  For example, if type == 255 then
add "extended type" to it to get the actual type.  It would be harder to go
the other way.  Noone else seems to have an opinion either way about
such little issues though...

-Brian